package com.gic.plug.web.vo.widget;

import java.io.Serializable;
/**
 * 门店选择器的接口的返回字段统一(有共享标志的)
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/26 10:32 AM 
 */
public class StoreWidgetInterfaceShareVO implements Serializable{
    private static final long serialVersionUID = 5702818425942819867L;

    /**
     * 后端的值
     */
    private String value;

    /**
     * 展示字段
     */
    private String label;

    /**
     * 自有商户名称
     */
    private String enterpriseName;

    private String key;

    public String getValue() {
        return value;
    }

    public StoreWidgetInterfaceShareVO setValue(String value) {
        this.value = value;
        return this;
    }

    public String getLabel() {
        return label;
    }

    public StoreWidgetInterfaceShareVO setLabel(String label) {
        this.label = label;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public StoreWidgetInterfaceShareVO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getKey() {
        return key;
    }

    public StoreWidgetInterfaceShareVO setKey(String key) {
        this.key = key;
        return this;
    }

    @Override
    public String toString() {
        return "StoreWidgetInterfaceShareVO{" +
                "value='" + value + '\'' +
                ", label='" + label + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", key='" + key + '\'' +
                '}';
    }
}
